package Gnome2::Install::Files;

$self = {
          'deps' => [
                      'Cairo',
                      'Glib',
                      'Gnome2::Canvas',
                      'Gnome2::VFS',
                      'Gtk2',
                      'Pango'
                    ],
          'inc' => '-I/usr/pkg/include/pango-1.0 -I/usr/pkg/include/gio-unix-2.0 -I/usr/X11R7/include -I/usr/pkg/include/cairo -I/usr/pkg/include/libbonoboui-2.0 -I/usr/pkg/include/bonobo-activation-2.0 -I/usr/pkg/include/libgnomeui-2.0 -I/usr/pkg/include/gtk-2.0 -I/usr/pkg/lib/gtk-2.0/include -I/usr/pkg/include/libbonobo-2.0 -I/usr/pkg/include/libgnomecanvas-2.0 -I/usr/pkg/include/libgnome-2.0 -I/usr/pkg/include/atk-1.0 -I/usr/pkg/include/gnome-vfs-2.0 -I/usr/pkg/lib/gnome-vfs-2.0/include -I/usr/pkg/include -I/usr/pkg/include/libart-2.0 -I/usr/pkg/include/gdk-pixbuf-2.0 -I/usr/pkg/include/gconf/2 -I/usr/pkg/include/harfbuzz -I/usr/pkg/include/orbit-2.0 -I/usr/X11R7/include/freetype2 -I/usr/pkg/include/glib-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/pkg/include/gail-1.0 -I/usr/pkg/include/gnome-keyring-1 -I/usr/pkg/include/libxml2 -I/usr/X11R7/include/pixman-1 -I/usr/pkg/include/libpng16 -I/usr/pkg/include/fribidi -DORBIT2=1 -pthread -D_REENTRANT -I/usr/X11R7/include -I/usr/pkg/include/libgnomecanvas-2.0 -I/usr/pkg/include/libgnome-2.0 -I/usr/pkg/include/bonobo-activation-2.0 -I/usr/pkg/include/libart-2.0 -I/usr/pkg/include/gtk-2.0 -I/usr/pkg/lib/gtk-2.0/include -I/usr/pkg/include/pango-1.0 -I/usr/pkg/include/gio-unix-2.0 -I/usr/pkg/include/cairo -I/usr/pkg/include/libbonoboui-2.0 -I/usr/pkg/include/atk-1.0 -I/usr/pkg/include/libbonobo-2.0 -I/usr/pkg/include/gdk-pixbuf-2.0 -I/usr/pkg/include -I/usr/pkg/include/gconf/2 -I/usr/pkg/include/harfbuzz -I/usr/pkg/include/orbit-2.0 -I/usr/X11R7/include/freetype2 -I/usr/pkg/include/glib-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/pkg/include/gail-1.0 -I/usr/pkg/include/gnome-vfs-2.0 -I/usr/pkg/lib/gnome-vfs-2.0/include -I/usr/pkg/include/libxml2 -I/usr/X11R7/include/pixman-1 -I/usr/pkg/include/libpng16 -DORBIT2=1 -I/usr/pkg/include/fribidi -pthread -D_REENTRANT',
          'libs' => '-L/usr/X11R7/lib -lXinerama -lXi -lXrandr -lXcursor -lXcomposite -lXdamage -L/usr/pkg/lib -lharfbuzz -lfreetype -lz -lbz2 -lgconf-2 -Wl,-R/usr/pkg/lib -Wl,-R/usr/pkg/lib -lgnomeui-2 -Wl,-R/usr/X11R7/lib -lICE -lSM -lbonoboui-2 -lgnomevfs-2 -lbonobo-activation -lart_lgpl_2 -lgdk-x11-2.0 -latk-1.0 -lpangoft2-1.0 -lpangocairo-1.0 -lXrender -lgnomecanvas-2 -lgnome-2 -lpopt -lfontconfig -lgthread-2.0 -lXfixes -lgio-2.0 -lXext -lgtk-x11-2.0 -lORBit-2 -lbonobo-2 -Wl,-rpath,/usr/X11R7/lib -lX11 -lgdk_pixbuf-2.0 -lgmodule-2.0 -pthread -lpango-1.0 -lcairo -lgobject-2.0 -Wl,-R/usr/pkg/lib -lglib-2.0 -lintl -L/usr/X11R7/lib -lXcursor -lXcomposite -lXdamage -L/usr/pkg/lib -lharfbuzz -lfreetype -lz -lbz2 -lbonoboui-2 -lgnomecanvas-2 -lgnome-2 -lpopt -lbonobo-activation -lgthread-2.0 -lart_lgpl_2 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangoft2-1.0 -lpangocairo-1.0 -lXrender -lXinerama -lXi -lXrandr -lgdk_pixbuf-2.0 -lfontconfig -lgio-2.0 -lXfixes -lbonobo-2 -lXext -lgmodule-2.0 -pthread -lORBit-2 -lcairo -Wl,-rpath,/usr/X11R7/lib -lX11 -lpango-1.0 -lgobject-2.0 -Wl,-R/usr/pkg/lib -lglib-2.0 -lintl',
          'typemaps' => [
                          'gnome2perl.typemap',
                          'gnome.typemap'
                        ]
        };

@deps = @{ $self->{deps} };
@typemaps = @{ $self->{typemaps} };
$libs = $self->{libs};
$inc = $self->{inc};

	$CORE = undef;
	foreach (@INC) {
		if ( -f $_ . "/Gnome2/Install/Files.pm") {
			$CORE = $_ . "/Gnome2/Install/";
			last;
		}
	}

	sub deps { @{ $self->{deps} }; }

	sub Inline {
		my ($class, $lang) = @_;
		+{ map { (uc($_) => $self->{$_}) } qw(inc libs typemaps) };
	}

1;
